Patch contact
curl --request PATCH \
--url https://my.jobin.cloud/api/openapi/v1/contacts/{contactId} \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '{}'const options = {
method: 'PATCH',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://my.jobin.cloud/api/openapi/v1/contacts/{contactId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://my.jobin.cloud/api/openapi/v1/contacts/{contactId}"
payload = {}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)$headers=@{}
$headers.Add("x-api-key", "<api-key>")
$headers.Add("Content-Type", "application/json")
$response = Invoke-WebRequest -Uri 'https://my.jobin.cloud/api/openapi/v1/contacts/{contactId}' -Method PATCH -Headers $headers -ContentType 'application/json' -Body '{}'{
"modifiedCount": 123,
"contact": {
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"firstName": "<string>",
"middleName": "<string>",
"lastName": "<string>",
"workEmail": "<string>",
"privateEmail": "<string>",
"otherEmails": [
"<string>"
],
"workPhone": "<string>",
"privatePhone": "<string>",
"otherPhones": [
"<string>"
],
"workMobilePhone": "<string>",
"privateMobilePhone": "<string>",
"otherMobilePhones": [
"<string>"
],
"socialUrls": [
"<string>"
],
"currentTitle": "<string>",
"currentCompany": "<string>",
"currentCompanyFrom": "2023-11-07T05:31:56Z",
"currentCompanyTo": "2023-11-07T05:31:56Z",
"currentCompanyTenureYears": 123,
"currentCompanyUrl": "<string>",
"currentCompanySocialUrl": "<string>",
"location": {
"fullAddress": "<string>",
"address": "<string>",
"addressLine2": "<string>",
"city": "<string>",
"state": "<string>",
"region": "<string>",
"country": "<string>",
"countryCode": "<string>",
"postalCode": "<string>"
},
"industry": "<string>",
"seniority": "<string>",
"managementLevel": "<string>",
"previousTitle": "<string>",
"previousCompany": "<string>",
"previousCompanySocialUrl": "<string>",
"headline": "<string>",
"summary": "<string>",
"openProfile": true,
"openToWork": true,
"connectionLevels": [
{
"jobinUser": {
"id": "<string>",
"firstName": "<string>",
"lastName": "<string>"
},
"connectionLevel": "1st"
}
],
"currentCampaign": {
"campaignId": "<string>",
"stagePositionCode": "<string>"
},
"tags": [
{
"_id": "<string>",
"value": "<string>",
"iconName": "<string>",
"color": "<string>"
}
],
"skills": [
{
"value": "<string>",
"skillType": "<string>",
"level": 123,
"topSkill": true
}
],
"education": [
{
"school": "<string>",
"schoolSocialUrl": "<string>",
"degreeLevel": "<string>",
"degrees": [
"<string>"
],
"fieldOfStudy": "<string>",
"majors": [
"<string>"
],
"minors": [
"<string>"
],
"period": {
"from": "2023-11-07T05:31:56Z",
"to": "2023-11-07T05:31:56Z",
"isCurrent": true
}
}
],
"experiences": [
{
"title": "<string>",
"company": "<string>",
"from": "2023-11-07T05:31:56Z",
"to": "2023-11-07T05:31:56Z",
"isCurrent": true,
"location": {
"fullAddress": "<string>",
"address": "<string>",
"addressLine2": "<string>",
"city": "<string>",
"state": "<string>",
"region": "<string>",
"country": "<string>",
"countryCode": "<string>",
"postalCode": "<string>"
},
"employmentType": "<string>",
"description": "<string>"
}
],
"languages": [
{
"value": "<string>",
"level": 123,
"note": "<string>"
}
],
"volunteering": [
{
"roleTitle": "<string>",
"organization": {
"name": "<string>",
"socialUrl": "<string>",
"companyWebsite": "<string>",
"employeeCountRange": "<string>"
},
"cause": "<string>",
"description": "<string>",
"location": {
"fullAddress": "<string>",
"address": "<string>",
"addressLine2": "<string>",
"city": "<string>",
"state": "<string>",
"region": "<string>",
"country": "<string>",
"countryCode": "<string>",
"postalCode": "<string>"
},
"period": {
"from": "2023-11-07T05:31:56Z",
"to": "2023-11-07T05:31:56Z",
"isCurrent": true
}
}
],
"accomplishments": [
{
"value": "<string>",
"type": "<string>",
"issuer": "<string>",
"description": "<string>",
"date": "2023-11-07T05:31:56Z",
"organization": {
"name": "<string>",
"socialUrl": "<string>",
"companyWebsite": "<string>",
"employeeCountRange": "<string>"
}
}
],
"customFieldList": [
{
"_id": "<string>",
"fieldName": "<string>",
"value": "<string>"
}
],
"source": "<string>",
"sourceType": "<string>",
"unsubscribed": true
}
}{
"statusCode": 429,
"error": "Too Many Requests",
"message": "<string>",
"retryAfterSeconds": 123
}Contacts
Update Contact
Patch a Jobin contact while preserving the same normalization and persistence behavior used by the main app.
PATCH
/
contacts
/
{contactId}
Patch contact
curl --request PATCH \
--url https://my.jobin.cloud/api/openapi/v1/contacts/{contactId} \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '{}'const options = {
method: 'PATCH',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://my.jobin.cloud/api/openapi/v1/contacts/{contactId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://my.jobin.cloud/api/openapi/v1/contacts/{contactId}"
payload = {}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)$headers=@{}
$headers.Add("x-api-key", "<api-key>")
$headers.Add("Content-Type", "application/json")
$response = Invoke-WebRequest -Uri 'https://my.jobin.cloud/api/openapi/v1/contacts/{contactId}' -Method PATCH -Headers $headers -ContentType 'application/json' -Body '{}'{
"modifiedCount": 123,
"contact": {
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"firstName": "<string>",
"middleName": "<string>",
"lastName": "<string>",
"workEmail": "<string>",
"privateEmail": "<string>",
"otherEmails": [
"<string>"
],
"workPhone": "<string>",
"privatePhone": "<string>",
"otherPhones": [
"<string>"
],
"workMobilePhone": "<string>",
"privateMobilePhone": "<string>",
"otherMobilePhones": [
"<string>"
],
"socialUrls": [
"<string>"
],
"currentTitle": "<string>",
"currentCompany": "<string>",
"currentCompanyFrom": "2023-11-07T05:31:56Z",
"currentCompanyTo": "2023-11-07T05:31:56Z",
"currentCompanyTenureYears": 123,
"currentCompanyUrl": "<string>",
"currentCompanySocialUrl": "<string>",
"location": {
"fullAddress": "<string>",
"address": "<string>",
"addressLine2": "<string>",
"city": "<string>",
"state": "<string>",
"region": "<string>",
"country": "<string>",
"countryCode": "<string>",
"postalCode": "<string>"
},
"industry": "<string>",
"seniority": "<string>",
"managementLevel": "<string>",
"previousTitle": "<string>",
"previousCompany": "<string>",
"previousCompanySocialUrl": "<string>",
"headline": "<string>",
"summary": "<string>",
"openProfile": true,
"openToWork": true,
"connectionLevels": [
{
"jobinUser": {
"id": "<string>",
"firstName": "<string>",
"lastName": "<string>"
},
"connectionLevel": "1st"
}
],
"currentCampaign": {
"campaignId": "<string>",
"stagePositionCode": "<string>"
},
"tags": [
{
"_id": "<string>",
"value": "<string>",
"iconName": "<string>",
"color": "<string>"
}
],
"skills": [
{
"value": "<string>",
"skillType": "<string>",
"level": 123,
"topSkill": true
}
],
"education": [
{
"school": "<string>",
"schoolSocialUrl": "<string>",
"degreeLevel": "<string>",
"degrees": [
"<string>"
],
"fieldOfStudy": "<string>",
"majors": [
"<string>"
],
"minors": [
"<string>"
],
"period": {
"from": "2023-11-07T05:31:56Z",
"to": "2023-11-07T05:31:56Z",
"isCurrent": true
}
}
],
"experiences": [
{
"title": "<string>",
"company": "<string>",
"from": "2023-11-07T05:31:56Z",
"to": "2023-11-07T05:31:56Z",
"isCurrent": true,
"location": {
"fullAddress": "<string>",
"address": "<string>",
"addressLine2": "<string>",
"city": "<string>",
"state": "<string>",
"region": "<string>",
"country": "<string>",
"countryCode": "<string>",
"postalCode": "<string>"
},
"employmentType": "<string>",
"description": "<string>"
}
],
"languages": [
{
"value": "<string>",
"level": 123,
"note": "<string>"
}
],
"volunteering": [
{
"roleTitle": "<string>",
"organization": {
"name": "<string>",
"socialUrl": "<string>",
"companyWebsite": "<string>",
"employeeCountRange": "<string>"
},
"cause": "<string>",
"description": "<string>",
"location": {
"fullAddress": "<string>",
"address": "<string>",
"addressLine2": "<string>",
"city": "<string>",
"state": "<string>",
"region": "<string>",
"country": "<string>",
"countryCode": "<string>",
"postalCode": "<string>"
},
"period": {
"from": "2023-11-07T05:31:56Z",
"to": "2023-11-07T05:31:56Z",
"isCurrent": true
}
}
],
"accomplishments": [
{
"value": "<string>",
"type": "<string>",
"issuer": "<string>",
"description": "<string>",
"date": "2023-11-07T05:31:56Z",
"organization": {
"name": "<string>",
"socialUrl": "<string>",
"companyWebsite": "<string>",
"employeeCountRange": "<string>"
}
}
],
"customFieldList": [
{
"_id": "<string>",
"fieldName": "<string>",
"value": "<string>"
}
],
"source": "<string>",
"sourceType": "<string>",
"unsubscribed": true
}
}{
"statusCode": 429,
"error": "Too Many Requests",
"message": "<string>",
"retryAfterSeconds": 123
}Keep updates focused on fields your integration owns so downstream automation remains predictable.
Authorizations
Primary public authentication method. Create keys in Jobin.cloud under Workgroups > Integrations > Custom integration.
Path Parameters
Body
application/json
The body is of type object.
